"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.typeCheck = void 0;
var kind_of_1 = __importDefault(require("kind-of"));
var arrayChecking_1 = require("./arrayChecking");
var createSchema_1 = require("../createSchema");
function typeCheck(value) {
    var currentType = kind_of_1.default(value);
    switch (currentType) {
        case 'array':
            return arrayChecking_1.arrayChecking(value);
            break;
        case 'object':
            return createSchema_1.createSchema(value);
            break;
        default:
            return currentType;
            break;
    }
}
exports.typeCheck = typeCheck;
//# sourceMappingURL=typeCheck.js.map