"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSchema = void 0;
var typeCheck_1 = require("./helpers/typeCheck");
function createSchema(baseObj) {
    try {
        var mainLoop = function (obj) {
            var res = {};
            for (var prop in obj) {
                if (!obj.hasOwnProperty(prop))
                    break;
                var type = typeCheck_1.typeCheck(obj[prop]);
                res[prop] = type;
            }
            return res;
        };
        return mainLoop(baseObj);
    }
    catch (err) {
        return err;
    }
}
exports.createSchema = createSchema;
//# sourceMappingURL=createSchema.js.map